function generateGLiveActionForFacing(start, end, now, hasReviewed, hasLeft) {
    var pre = start - 2 * 60 * 60 * 1000;
    var ret = {};
    var actions = [];
    ret['actions'] = actions;
    if(now < start) {
        actions.push({
            text: hasLeft ? '取消请假' : '请假',
            key: hasLeft ? 'CANCEL_LEAVE' : 'ASK_FOR_LEAVE'
        });
        if(now >= pre) {
            actions.push({
                text: '去上课',
                key: 'SHOW_QR'
            });
        }
        ret['timeStatus'] = -1;
        ret['timeStatusText'] = '课程尚未开始';
    } else if(now >= start && now < end) {
        actions.push({
            text: '去上课',
            key: 'SHOW_QR'
        });
        ret['timeStatus'] = 0;
        ret['timeStatusText'] = '课程进行中';
    } else {
        if(hasReviewed) {
            ret['timeStatusText'] = '课程已结束';
        } else {
            actions.push({
                text: '评价课程',
                key: 'REVIEW_CLASS'
            });
            ret['timeStatusText'] = '课程已结束,等待评价';
        }
        ret['timeStatus'] = 1;
    }
    return ret;
}