function generateGLiveActionForLive(start, end, now, hasReplay, hasLeft) {
    var pre = start - 30 * 60 * 1000;
    var ret = {};
    var actions = [];
    ret['actions'] = actions;
    if(now < start) {
        actions.push({
        text: hasLeft ? '取消请假' : '请假',
        key: hasLeft ? 'CANCEL_LEAVE' : 'ASK_FOR_LEAVE'
        });
        if(now >= pre) {
            actions.push({
            text: '去上课',
            key: 'GO_TO_CLASS'
            });
        }
        ret['timeStatus'] = -1;
        ret['timeStatusText'] = '课程尚未开始';
    } else if(now >= start && now < (end + 60 * 60 * 1000)) {
        actions.push({
        text: '去上课',
        key: 'GO_TO_CLASS'
        });
        ret['timeStatus'] = 0;
        ret['timeStatusText'] = '课程进行中';
    } else {
        if(hasReplay) {
            actions.push({
            text: '观看回放',
            key: 'VIEW_REPLAY'
            });
        }
        ret['timeStatus'] = 1;
        ret['timeStatusText'] = '课程已结束';
    }
    return ret;
}
