
function getQueryString(url, name) {
  var query = '';
  var queryIndex = url.indexOf('?');
  if (queryIndex >= 0) {
    query = url.substr(queryIndex + 1);
  }
  var reg = new RegExp('(^|&)' + name + '=([^&]*)(&|$)', 'i');
  var r = query.match(reg);
  if (r != null)
    return decodeURIComponent(r[2]);
  return null;
}


function generateReplayUrl(origin, meetingId, meetingName) {
  if (origin.indexOf('view.csslcloud.net') >= 0) {
    var userId = getQueryString(origin, 'userid');
    var roomId = getQueryString(origin, 'roomid');
    var liveId = getQueryString(origin, 'liveid');
    var ret = "https://glive.gaodun.com/m/replay.html?" + meetingId;
    return ret;
  } else {
    return origin;
  }
}
