function generateGLiveActionForTest(start, end, now, hasCompleted) {
    var ret = {};
    var actions = [];
    ret['actions'] = actions;
    if(now < start) {
        ret['timeStatus'] = -1;
        ret['timeStatusText'] = '考试尚未开始';
    } else if (now >= start && now < end) {
        actions.push({
            text: '去考试',
            key: 'GO_TO_EXAM'
        });
        ret['timeStatus'] = 0;
        ret['timeStatusText'] = '考试进行中';
    } else {
        if(hasCompleted) {
            actions.push({
                text: '回顾试卷',
                key: 'REVIEW_EXAM'
            });
            actions.push({
                text: '再做一次',
                key: 'GO_TO_EXAM_AGAIN'
            });
        } else {
            actions.push({
                text: '去考试',
                key: 'MAKE_UP_EXAM'
            });
        }
        ret['timeStatus'] = 1;
        ret['timeStatusText'] = '考试已结束';
    }
    return ret;
}
